Index: LMDZ6/branches/Amaury_dev/libf/phylmd/conf_phys_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/conf_phys_m.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/conf_phys_m.F90	(revision 5099)
@@ -1,7 +1,7 @@
-!
+
 ! $Id: conf_phys.F90 1668 2012-10-12 10:47:37Z idelkadi $
-!
-!
-!
+
+
+
 MODULE conf_phys_m
 
@@ -48,10 +48,10 @@
     INCLUDE "comsoil.h"
     INCLUDE "YOEGWD.h"
-    !
+
     ! Configuration de la "physique" de LMDZ a l'aide de la fonction
     ! GETIN de IOIPSL
-    !
+
     ! LF 05/2001
-    !
+
     ! type_ocean:      type d'ocean (force, slab, couple)
     ! version_ocean:   version d'ocean (opa8/nemo pour type_ocean=couple ou 
@@ -70,5 +70,4 @@
     ! ok_volcan: activate volcanic diags (SW heat & LW cool rate, SW & LW flux)
     ! flag_volc_surfstrat: VolMIP flag, activate forcing surface cooling rate (=1), strato heating rate (=2) or nothing (=0, default)
-    !
 
     ! Sortie:
@@ -213,5 +212,5 @@
     LOGICAL, SAVE :: ok_lic_melt_omp
     LOGICAL, SAVE :: ok_lic_cond_omp
-    !
+
     REAL, SAVE :: zrel_oro_t_omp, zstd_orodr_t_omp
     REAL, SAVE :: zpmm_orodr_t_omp, zpmm_orolf_t_omp
@@ -264,13 +263,13 @@
     !Config Def  = force
     !Config Help = Type d'ocean utilise: force, slab,couple
-    !
+
     type_ocean_omp = 'force '
     CALL getin('type_ocean', type_ocean_omp)
-    !
+
     !Config Key  = version_ocean 
     !Config Desc = Version d'ocean
     !Config Def  = xxxxxx
     !Config Help = Version d'ocean utilise: opa8/nemo/sicOBS/xxxxxx
-    !
+
     version_ocean_omp = 'xxxxxx'
     CALL getin('version_ocean', version_ocean_omp)
@@ -280,5 +279,5 @@
     !Config Def  = yyyyyy
     !Config Help = This is only for testing purpose
-    !
+
     ocean_omp = 'yyyyyy'
     CALL getin('OCEAN', ocean_omp)
@@ -294,5 +293,5 @@
     !Config Def  = 86400
     !Config Help = This is only for testing purpose
-    !
+
     t_coupl_omp = 86400.
     CALL getin('t_coupl', t_coupl_omp)
@@ -303,32 +302,27 @@
     ENDIF
 
-    !
     !Config Key  = ok_all_xml 
     !Config Desc = utiliser les xml pourles définitions des champs pour xios
     !Config Def  = .FALSE.
     !Config Help = 
-    !
+
     ok_all_xml_omp = .FALSE.
     CALL getin('ok_all_xml', ok_all_xml_omp)
 
-    !
     !Config Key  = ok_lwoff
     !Config Desc = inhiber l effet radiatif LW des nuages
     !Config Def  = .FALSE.
     !Config Help = 
-    !
+
     ok_lwoff_omp = .FALSE.
     CALL getin('ok_lwoff', ok_lwoff_omp)
-    !
-
-    !
+
     !Config Key  = VEGET 
     !Config Desc = Type de modele de vegetation
     !Config Def  = .FALSE.
     !Config Help = Type de modele de vegetation utilise
-    !
+
     type_veget_omp = 'orchidee'
     CALL getin('VEGET', type_veget_omp)
-    !
 
     ! INLANDSIS
@@ -478,8 +472,8 @@
     !Config Help = Pour creer le fichier histday contenant les sorties
     !              journalieres 
-    !
+
     ok_journe_omp = .FALSE.
     CALL getin('OK_journe', ok_journe_omp)
-    !
+
     !Config Key  = ok_hf
     !Config Desc = Pour des sorties haute frequence
@@ -487,8 +481,8 @@
     !Config Help = Pour creer le fichier histhf contenant les sorties
     !              haute frequence ( 3h ou 6h)
-    !
+
     ok_hf_omp = .FALSE.
     CALL getin('ok_hf', ok_hf_omp)
-    !
+
     !Config Key  = OK_mensuel
     !Config Desc = Pour des sorties mensuelles 
@@ -496,8 +490,8 @@
     !Config Help = Pour creer le fichier histmth contenant les sorties
     !              mensuelles 
-    !
+
     ok_mensuel_omp = .TRUE.
     CALL getin('OK_mensuel', ok_mensuel_omp)
-    !
+
     !Config Key  = OK_instan
     !Config Desc = Pour des sorties instantanees 
@@ -505,13 +499,13 @@
     !Config Help = Pour creer le fichier histins contenant les sorties
     !              instantanees 
-    !
+
     ok_instan_omp = .FALSE.
     CALL getin('OK_instan', ok_instan_omp)
-    !
+
     !Config Key  = ok_ade
     !Config Desc = Aerosol direct effect or not?
     !Config Def  = .FALSE.
     !Config Help = Used in radlwsw.F
-    !
+
     ok_ade_omp = .FALSE.
     CALL getin('ok_ade', ok_ade_omp)
@@ -521,36 +515,32 @@
     !Config Def  = .FALSE.
     !Config Help = Used in radlwsw.F
-    !
+
     ok_alw_omp = .FALSE.
     CALL getin('ok_alw', ok_alw_omp)
 
-    !
     !Config Key  = ok_aie
     !Config Desc = Aerosol indirect effect or not?
     !Config Def  = .FALSE.
     !Config Help = Used in nuage.F and radlwsw.F
-    !
+
     ok_aie_omp = .FALSE.
     CALL getin('ok_aie', ok_aie_omp)
 
-    !
     !Config Key  = ok_cdnc
     !Config Desc = ok cloud droplet number concentration
     !Config Def  = .FALSE.
     !Config Help = Used in newmicro.F
-    !
+
     ok_cdnc_omp = .FALSE.
     CALL getin('ok_cdnc', ok_cdnc_omp)
 
-    !
     !Config Key  = ok_volcan
     !Config Desc = ok to generate volcanic diags
     !Config Def  = .FALSE.
     !Config Help = Used in radlwsw_m.F
-    !
+
     ok_volcan_omp = .FALSE.
     CALL getin('ok_volcan', ok_volcan_omp)
 
-    !
     !Config Key  = flag_volc_surfstrat
     !Config Desc = impose cooling rate at the surface (=1),
@@ -558,30 +548,29 @@
     !Config Def  = 0
     !Config Help = Used in radlwsw_m.F
-    !
+
     flag_volc_surfstrat_omp = 0 ! NL: SURFSTRAT
     CALL getin('flag_volc_surfstrat', flag_volc_surfstrat_omp)
 
-    !
     !Config Key  = aerosol_couple
     !Config Desc = read aerosol in file or calcul by inca
     !Config Def  = .FALSE.
     !Config Help = Used in physiq.F
-    !
+
     aerosol_couple_omp = .FALSE.
     CALL getin('aerosol_couple', aerosol_couple_omp)
-    !
+
     !Config Key  = chemistry_couple
     !Config Desc = read O3 chemistry in file or calcul by inca
     !Config Def  = .FALSE.
     !Config Help = Used in physiq.F
-    !
+
     chemistry_couple_omp = .FALSE.
     CALL getin('chemistry_couple', chemistry_couple_omp)
-    !
+
     !Config Key  = flag_aerosol
     !Config Desc = which aerosol is use for coupled model
     !Config Def  = 1
     !Config Help = Used in physiq.F
-    !
+
     ! - flag_aerosol=0 => no aerosol
     ! - flag_aerosol=1 => so4 only (defaut) 
@@ -597,5 +586,4 @@
     CALL getin('flag_aerosol', flag_aerosol_omp)
 
-    !
     !Config Key  = flag_bc_internal_mixture
     !Config Desc = state of mixture for BC aerosols
@@ -604,23 +592,21 @@
     !Config Def  = n
     !Config Help = Used in physiq.F / aeropt
-    !
+
     flag_bc_internal_mixture_omp = .FALSE.
     CALL getin('flag_bc_internal_mixture', flag_bc_internal_mixture_omp)
 
-    ! 
     !Config Key  = aer_type 
     !Config Desc = Use a constant field for the aerosols 
     !Config Def  = scenario 
     !Config Help = Used in readaerosol.F90 
-    ! 
+
     aer_type_omp = 'scenario'
     CALL getin('aer_type', aer_type_omp)
 
-    !
     !Config Key  = bl95_b0
     !Config Desc = Parameter in CDNC-maer link (Boucher&Lohmann 1995)
     !Config Def  = .FALSE.
     !Config Help = Used in nuage.F
-    !
+
     bl95_b0_omp = 2.
     CALL getin('bl95_b0', bl95_b0_omp)
@@ -630,5 +616,5 @@
     !Config Def  = .FALSE.
     !Config Help = Used in nuage.F
-    !
+
     bl95_b1_omp = 0.2
     CALL getin('bl95_b1', bl95_b1_omp)
@@ -639,8 +625,8 @@
     !Config Def  = 10800.
     !Config Help = Used in ini_histISCCP.h
-    !
+
     freq_ISCCP_omp = 10800.
     CALL getin('freq_ISCCP', freq_ISCCP_omp)
-    !
+
     !Config Key  = ecrit_ISCCP
     !Config Desc = Frequence d'ecriture des resultats du simulateur ISCCP en nombre de jours;
@@ -648,6 +634,6 @@
     !Config Def  = 1.
     !Config Help = Used in ini_histISCCP.h
-    !
-    !
+
+
     ecrit_ISCCP_omp = 1.
     CALL getin('ecrit_ISCCP', ecrit_ISCCP_omp)
@@ -658,5 +644,5 @@
     !Config Def  = 10800.
     !Config Help = Used in ini_histdayCOSP.h
-    !
+
     freq_COSP_omp = 10800.
     CALL getin('freq_COSP', freq_COSP_omp)
@@ -667,14 +653,13 @@
     !Config Def  = 10800.
     !Config Help = Used in ini_histdayAIRS.h
-    !
+
     freq_AIRS_omp = 10800.
     CALL getin('freq_AIRS', freq_AIRS_omp)
 
-    !
     !Config Key  = ip_ebil_phy
     !Config Desc = Niveau de sortie pour les diags bilan d'energie 
     !Config Def  = 0
     !Config Help = 
-    !               
+
     ip_ebil_phy_omp = 0
     CALL getin('ip_ebil_phy', ip_ebil_phy_omp)
@@ -683,69 +668,66 @@
     ENDIF
 
-    !
     !Config Key  = seuil_inversion
     !Config Desc = Seuil ur dTh pour le choix entre les schemas de CL
     !Config Def  = -0.1
     !Config Help = 
-    !               
+
     seuil_inversion_omp = -0.1
     CALL getin('seuil_inversion', seuil_inversion_omp)
 
-    !
     ! Constante solaire & Parametres orbitaux & taux gaz effet de serre BEG
-    !
+
     !Config Key  = R_ecc
     !Config Desc = Excentricite
     !Config Def  = 0.016715
     !Config Help = 
-    !               
+
     !valeur AMIP II
     R_ecc_omp = 0.016715
     CALL getin('R_ecc', R_ecc_omp)
-    !
+
     !Config Key  = R_peri
     !Config Desc = Equinoxe
     !Config Def  = 
     !Config Help = 
-    !               
-    !
+
+
     !valeur AMIP II
     R_peri_omp = 102.7
     CALL getin('R_peri', R_peri_omp)
-    !
+
     !Config Key  = R_incl
     !Config Desc = Inclinaison
     !Config Def  = 
     !Config Help = 
-    !               
-    !
+
+
     !valeur AMIP II
     R_incl_omp = 23.441
     CALL getin('R_incl', R_incl_omp)
-    !
+
     !Config Key  = solaire
     !Config Desc = Constante solaire en W/m2
     !Config Def  = 1365.
     !Config Help = 
-    !               
-    !
+
+
     !valeur AMIP II
     solaire_omp = 1365.
     solaire_omp_init = solaire_omp     !--we keep track of the default value
     CALL getin('solaire', solaire_omp)
-    !
+
     !Config Key  = co2_ppm
     !Config Desc = concentration du CO2 en ppmv
     !Config Def  = 348.
     !Config Help = 
-    !               
+
     !valeur AMIP II
     co2_ppm_omp = 348.
     CALL getin('co2_ppm', co2_ppm_omp)
-    !
+
     !conversion en rapport de mélange massique
     RCO2_omp = co2_ppm_omp * 1.0e-06 * RMCO2 / RMD
 
-    !
     !Config Key  = co2_ppm0
     !Config Desc = concentration initiale du CO2 en ppmv pour la version ESM avec CO2 interactif dans le cas 
@@ -753,43 +735,43 @@
     !Config Def  = 284.32
     !Config Help = 
-    !               
+
     co2_ppm0_omp = 284.32
     CALL getin('co2_ppm0', co2_ppm0_omp)
-    !
+
     !Config Key  = RCH4
     !Config Desc = Concentration du CH4
     !Config Def  = 1.65E-06* 16.043/28.97
     !Config Help = 
-    !               
+
     CH4_ppb_omp = 1650.
     CALL getin('CH4_ppb', CH4_ppb_omp)
     !conversion en rapport de mélange massique
     RCH4_omp = CH4_ppb_omp * 1.0E-09 * RMCH4 / RMD
-    !
+
     !Config Key  = RN2O
     !Config Desc = Concentration du N2O
     !Config Def  = 306.E-09* 44.013/28.97
     !Config Help = 
-    !               
+
     N2O_ppb_omp = 306.
     CALL getin('N2O_ppb', N2O_ppb_omp)
     !conversion en rapport de mélange massique
     RN2O_omp = N2O_ppb_omp * 1.0E-09 * RMN2O / RMD
-    !
+
     !Config Key  = RCFC11
     !Config Desc = Concentration du CFC11
     !Config Def  = 280.E-12* 137.3686/28.97
     !Config Help = 
-    !               
+
     CFC11_ppt_omp = 280.
     CALL getin('CFC11_ppt', CFC11_ppt_omp)
     !conversion en rapport de mélange massique
     RCFC11_omp = CFC11_ppt_omp * 1.0E-12 * RMCFC11 / RMD
-    !
+
     !Config Key  = RCFC12
     !Config Desc = Concentration du CFC12
     !Config Def  = 484.E-12* 120.9140/28.97
     !Config Help = 
-    !               
+
     CFC12_ppt_omp = 484.
     CALL getin('CFC12_ppt', CFC12_ppt_omp)
@@ -797,10 +779,9 @@
     RCFC12_omp = CFC12_ppt_omp * 1.0E-12 * RMCFC12 / RMD
 
-    !
     !Config Key  = co2_ppm_per
     !Config Desc = concentration du CO2 perturbé en ppmv (CFMIP)
     !Config Def  = 348.
     !Config Help = 
-    !               
+
     co2_ppm_per_omp = co2_ppm_omp
     CALL getin('co2_ppm_per', co2_ppm_per_omp)
@@ -812,35 +793,35 @@
     !Config Def  = 1.65E-06* 16.043/28.97
     !Config Help = 
-    !               
+
     CH4_ppb_per_omp = CH4_ppb_omp
     CALL getin('CH4_ppb_per', CH4_ppb_per_omp)
     !conversion en rapport de mélange massique
     RCH4_per_omp = CH4_ppb_per_omp * 1.0E-09 * RMCH4 / RMD
-    !
+
     !Config Key  = RN2O_per
     !Config Desc = Concentration du N2O_per
     !Config Def  = 306.E-09* 44.013/28.97
     !Config Help = 
-    !               
+
     N2O_ppb_per_omp = N2O_ppb_omp
     CALL getin('N2O_ppb_per', N2O_ppb_per_omp)
     !conversion en rapport de mélange massique
     RN2O_per_omp = N2O_ppb_per_omp * 1.0E-09 * RMN2O / RMD
-    !
+
     !Config Key  = RCFC11_per
     !Config Desc = Concentration du CFC11_per
     !Config Def  = 280.E-12* 137.3686/28.97
     !Config Help = 
-    !               
+
     CFC11_ppt_per_omp = CFC11_ppt_omp
     CALL getin('CFC11_ppt_per', CFC11_ppt_per_omp)
     !conversion en rapport de mélange massique
     RCFC11_per_omp = CFC11_ppt_per_omp * 1.0E-12 * RMCFC11 / RMD
-    !
+
     !Config Key  = RCFC12_per
     !Config Desc = Concentration du CFC12_per
     !Config Def  = 484.E-12* 120.9140/28.97
     !Config Help = 
-    !               
+
     CFC12_ppt_per_omp = CFC12_ppt_omp
     CALL getin('CFC12_ppt_per', CFC12_ppt_per_omp)
@@ -848,5 +829,4 @@
     RCFC12_per_omp = CFC12_ppt_per_omp * 1.0E-12 * RMCFC12 / RMD
 
-    !
     ! FH 2008/05/09 On elimine toutes les clefs physiques dans la dynamique
     ! Constantes precedemment dans dyn3d/conf_gcm
@@ -1011,11 +991,9 @@
     CALL getin('ok_conserv_q', ok_conserv_q_omp)
 
-    !
-    !
-    !
+
+
     ! Constante solaire & Parametres orbitaux & taux gaz effet de serre END
-    !
+
     ! KE
-    !
 
     !Config key  = cvl_comp_threshold
@@ -1047,5 +1025,5 @@
     !Config Def  = 0.993
     !Config Help = 
-    !
+
     epmax_omp = .993
     CALL getin('epmax', epmax_omp)
@@ -1053,18 +1031,18 @@
     coef_epmax_cape_omp = 0.0
     CALL getin('coef_epmax_cape', coef_epmax_cape_omp)
-    !
+
     !Config Key  = ok_adj_ema
     !Config Desc =  
     !Config Def  = FALSE
     !Config Help = 
-    !
+
     ok_adj_ema_omp = .FALSE.
     CALL getin('ok_adj_ema', ok_adj_ema_omp)
-    !
+
     !Config Key  = iflag_clw
     !Config Desc =  
     !Config Def  = 0
     !Config Help = 
-    !
+
     iflag_clw_omp = 0
     CALL getin('iflag_clw', iflag_clw_omp)
@@ -1075,32 +1053,29 @@
     !Config Def  = 1
     !Config Help =
-    !
+
     iflag_ratqs_omp = 1
     CALL getin('iflag_ratqs', iflag_ratqs_omp)
 
-    !
     !Config Key  = iflag_radia 
     !Config Desc =  
     !Config Def  = 1
     !Config Help = 
-    !
+
     iflag_radia_omp = 1
     CALL getin('iflag_radia', iflag_radia_omp)
 
-    !
     !Config Key  = iflag_rrtm 
     !Config Desc =  
     !Config Def  = 0
     !Config Help = 
-    !
+
     iflag_rrtm_omp = 0
     CALL getin('iflag_rrtm', iflag_rrtm_omp)
 
-    !
     !Config Key  = NSW 
     !Config Desc =  
     !Config Def  = 0
     !Config Help = 
-    !
+
     NSW_omp = 2
     CALL getin('NSW', NSW_omp)
@@ -1112,11 +1087,11 @@
     CALL getin('ok_chlorophyll', ok_chlorophyll_omp)
     !albedo SB <<<
-    !
+
     !Config Key  = ok_sun_time
     !Config Desc = oui ou non variabilite solaire
     !Config Def  = .FALSE.
     !Config Help =
-    !
-    !
+
+
     !valeur AMIP II
     ok_suntime_rrtm_omp = .FALSE.
@@ -1133,5 +1108,5 @@
     !Config Def  = 0
     !Config Help = Used in physiq.F
-    !
+
     flag_aerosol_strat_omp = 0
     CALL getin('flag_aerosol_strat', flag_aerosol_strat_omp)
@@ -1143,5 +1118,5 @@
     !Config Def  = T
     !Config Help = Used in physiq.F
-    !
+
     flag_aer_feedback_omp = .TRUE.
     IF (iflag_rrtm_omp==1) THEN
@@ -1153,5 +1128,5 @@
     !Config Def  = 1
     !Config Help = 
-    !
+
     iflag_cld_th_omp = 1
     ! On lit deux fois avec l'ancien et le nouveau nom 
@@ -1163,65 +1138,57 @@
     CALL getin('iflag_cld_cv', iflag_cld_cv_omp)
 
-    !
     !Config Key  = tau_cld_cv
     !Config Desc =
     !Config Def  = 10.
     !Config Help =
-    !
+
     tau_cld_cv_omp = 10.
     CALL getin('tau_cld_cv', tau_cld_cv_omp)
 
-    !
     !Config Key  = coefw_cld_cv
     !Config Desc =
     !Config Def  = 0.1
     !Config Help =
-    !
+
     coefw_cld_cv_omp = 0.1
     CALL getin('coefw_cld_cv', coefw_cld_cv_omp)
 
-
-
-
-    !
     !Config Key  = fact_cldcon
     !Config Desc =  
     !Config Def  = 0.375
     !Config Help = 
-    !
+
     fact_cldcon_omp = 0.375
     CALL getin('fact_cldcon', fact_cldcon_omp)
 
-    !
     !Config Key  = facttemps
     !Config Desc =  
     !Config Def  = 1.e-4
     !Config Help = 
-    !
+
     facttemps_omp = 1.e-4
     CALL getin('facttemps', facttemps_omp)
 
-    !
     !Config Key  = ok_newmicro
     !Config Desc =  
     !Config Def  = .TRUE.
     !Config Help = 
-    !
+
     ok_newmicro_omp = .TRUE.
     CALL getin('ok_newmicro', ok_newmicro_omp)
-    !
+
     !Config Key  = ratqsbas
     !Config Desc =  
     !Config Def  = 0.01
     !Config Help = 
-    !
+
     ratqsbas_omp = 0.01
     CALL getin('ratqsbas', ratqsbas_omp)
-    !
+
     !Config Key  = ratqshaut
     !Config Desc =  
     !Config Def  = 0.3
     !Config Help = 
-    !
+
     ratqshaut_omp = 0.3
     CALL getin('ratqshaut', ratqshaut_omp)
@@ -1231,9 +1198,8 @@
     !Config Def  = 1800.
     !Config Help = 
-    !
+
     tau_ratqs_omp = 1800.
     CALL getin('tau_ratqs', tau_ratqs_omp)
 
-    !
     !-----------------------------------------------------------------------
     ! Longitude solaire pour le calcul de l'ensoleillement en degre
@@ -1243,8 +1209,8 @@
     !Config Def  = -999.999 
     !Config Help = 
-    !
+
     solarlong0_omp = -999.999
     CALL getin('solarlong0', solarlong0_omp)
-    !
+
     !-----------------------------------------------------------------------
     !  Valeur imposee pour configuration idealisees
@@ -1257,98 +1223,92 @@
     albsno0_omp = -1.
     CALL getin('albsno0', albsno0_omp)
-    !
+
     !-----------------------------------------------------------------------
-    !
+
     !Config Key  = iflag_sic
     !Config Desc =  
     !Config Def  = 0
     !Config Help = 
-    !
+
     iflag_sic_omp = 0
     CALL getin('iflag_sic', iflag_sic_omp)
-    !
+
     !Config Key  = iflag_inertie
     !Config Desc =
     !Config Def  = 0
     !Config Help =
-    !
+
     iflag_inertie_omp = 0
     CALL getin('iflag_inertie', iflag_inertie_omp)
-    !
+
     !Config Key  = inertie_sic
     !Config Desc =  
     !Config Def  = 2000.
     !Config Help = 
-    !
+
     inertie_sic_omp = 2000.
     CALL getin('inertie_sic', inertie_sic_omp)
-    !
+
     !Config Key  = inertie_lic
     !Config Desc =  
     !Config Def  = 2000.
     !Config Help = 
-    !
+
     inertie_lic_omp = 2000.
     CALL getin('inertie_lic', inertie_lic_omp)
-    !
+
     !Config Key  = inertie_sno
     !Config Desc =  
     !Config Def  = 2000.
     !Config Help = 
-    !
+
     inertie_sno_omp = 2000.
     CALL getin('inertie_sno', inertie_sno_omp)
-    !
+
     !Config Key  = inertie_sol
     !Config Desc =  
     !Config Def  = 2000.
     !Config Help = 
-    !
+
     inertie_sol_omp = 2000.
     CALL getin('inertie_sol', inertie_sol_omp)
 
-    !
     !Config Key  = rad_froid
     !Config Desc =  
     !Config Def  = 35.0
     !Config Help = 
-    !
+
     rad_froid_omp = 35.0
     CALL getin('rad_froid', rad_froid_omp)
 
-    !
     !Config Key  = rad_chau1
     !Config Desc =  
     !Config Def  = 13.0
     !Config Help = 
-    !
+
     rad_chau1_omp = 13.0
     CALL getin('rad_chau1', rad_chau1_omp)
 
-    !
     !Config Key  = rad_chau2
     !Config Desc =  
     !Config Def  = 9.0
     !Config Help = 
-    !
+
     rad_chau2_omp = 9.0
     CALL getin('rad_chau2', rad_chau2_omp)
 
-
-    !
     !Config Key  = iflag_ice_thermo
     !Config Desc =  
     !Config Def  = 0
     !Config Help = 
-    !
+
     iflag_ice_thermo_omp = 0
     CALL getin('iflag_ice_thermo', iflag_ice_thermo_omp)
 
-    !
     !Config Key  = ok_ice_sursat
     !Config Desc =
     !Config Def  = 0
     !Config Help =
-    !
+
     ok_ice_sursat_omp = .FALSE.
     CALL getin('ok_ice_sursat', ok_ice_sursat_omp)
@@ -1358,5 +1318,5 @@
     !Config Def  = 0
     !Config Help =
-    !
+
     ok_plane_h2o_omp = .FALSE.
     CALL getin('ok_plane_h2o', ok_plane_h2o_omp)
@@ -1366,60 +1326,55 @@
     !Config Def  = 0
     !Config Help =
-    !
+
     ok_plane_contrail_omp = .FALSE.
     CALL getin('ok_plane_contrail', ok_plane_contrail_omp)
 
-    !
     !Config Key  = top_height
     !Config Desc =
     !Config Def  = 3
     !Config Help =
-    !
+
     top_height_omp = 3
     CALL getin('top_height', top_height_omp)
 
-    !
     !Config Key  = overlap
     !Config Desc =
     !Config Def  = 3
     !Config Help =
-    !
+
     overlap_omp = 3
     CALL getin('overlap', overlap_omp)
 
-    !
     !Config Key  = cdmmax
     !Config Desc =
     !Config Def  = 1.3E-3
     !Config Help =
-    !
+
     cdmmax_omp = 1.3E-3
     CALL getin('cdmmax', cdmmax_omp)
 
-    !
     !Config Key  = cdhmax
     !Config Desc =
     !Config Def  = 1.1E-3
     !Config Help =
-    !
+
     cdhmax_omp = 1.1E-3
     CALL getin('cdhmax', cdhmax_omp)
 
     !261103
-    !
+
     !Config Key  = ksta
     !Config Desc =
     !Config Def  = 1.0e-10
     !Config Help =
-    !
+
     ksta_omp = 1.0e-10
     CALL getin('ksta', ksta_omp)
 
-    !
     !Config Key  = ksta_ter
     !Config Desc =
     !Config Def  = 1.0e-10
     !Config Help =
-    !
+
     ksta_ter_omp = 1.0e-10
     CALL getin('ksta_ter', ksta_ter_omp)
@@ -1429,32 +1384,29 @@
     !Config Def  = 0.1
     !Config Help =
-    !
+
     f_ri_cd_min_omp = 0.1
     CALL getin('f_ri_cd_min', f_ri_cd_min_omp)
 
-    !
     !Config Key  = ok_kzmin
     !Config Desc =
     !Config Def  = .TRUE.
     !Config Help =
-    !
+
     ok_kzmin_omp = .TRUE.
     CALL getin('ok_kzmin', ok_kzmin_omp)
 
-    !
     !Config Key  = fmagic
     !Config Desc = additionnal multiplicator factor used for albedo
     !Config Def  = 1.
     !Config Help = additionnal multiplicator factor used in albedo.F
-    !
+
     fmagic_omp = 1.
     CALL getin('fmagic', fmagic_omp)
 
-    !
     !Config Key  = pmagic
     !Config Desc = additional factor used for albedo
     !Config Def  = 0.
     !Config Help = additional factor used in albedo.F
-    !
+
     pmagic_omp = 0.
     CALL getin('pmagic', pmagic_omp)
@@ -1476,7 +1428,5 @@
     CALL getin('ok_lic_cond', ok_lic_cond_omp)
 
-    !
     ! PARAMETER FOR THE PLANETARY BOUNDARY LAYER
-    !
 
     !Config Key  = iflag_pbl
@@ -1484,5 +1434,5 @@
     !Config Def  = 1
     !Config Help =
-    !
+
     iflag_pbl_omp = 1
     CALL getin('iflag_pbl', iflag_pbl_omp)
@@ -1496,5 +1446,5 @@
     !Config Def  = 0
     !Config Help =
-    !
+
     ifl_pbltree_omp = 0
     CALL getin('ifl_pbltree', ifl_pbltree_omp)
@@ -1504,41 +1454,40 @@
     !Config Def  = 7.5E-02 (valeur Masson mais fait planter avec des LAI eleves)
     !Config Help =
-    !
+
     Cd_frein_omp = 7.5E-02
     CALL getin('Cd_frein', Cd_frein_omp)
 
-    !
     !Config Key  = iflag_pbl_split
     !Config Desc = decimal flag: least signif digit = split vdf; next digit = split thermals
     !Config Def  = 0
     !Config Help = 0-> no splitting; 1-> vdf splitting; 10-> thermals splitting; 11-> full splitting
-    !
+
     iflag_pbl_split_omp = 0
     call getin('iflag_pbl_split', iflag_pbl_split_omp)
-    !
+
     !Config Key  = iflag_order2_sollw
     !Config Desc =
     !Config Def  = 0
     !Config Help =
-    !
+
     iflag_order2_sollw_omp = 0
     CALL getin('iflag_order2_sollw', iflag_order2_sollw_omp)
-    !
+
     !Config Key  = iflag_thermals
     !Config Desc =
     !Config Def  = 0
     !Config Help =
-    !
+
     iflag_thermals_omp = 0
     CALL getin('iflag_thermals', iflag_thermals_omp)
-    !
+
     !Config Key  = nsplit_thermals
     !Config Desc =
     !Config Def  = 0
     !Config Help =
-    !
+
     nsplit_thermals_omp = 1
     CALL getin('nsplit_thermals', nsplit_thermals_omp)
-    !
+
     !Config Key  = nsplit_thermals
     !Config Desc =
@@ -1554,5 +1503,5 @@
     !Config Def  = 0
     !Config Help = 
-    !
+
     iflag_trig_bl_omp = 0
     CALL getin('iflag_trig_bl', iflag_trig_bl_omp)
@@ -1562,5 +1511,5 @@
     !Config Def  = 0
     !Config Help = 
-    !
+
     iflag_strig_omp = 0
     CALL getin('iflag_strig', iflag_strig_omp)
@@ -1570,5 +1519,5 @@
     !Config Def  = 0
     !Config Help = 
-    !
+
     s_trig_omp = 2e7
     CALL getin('s_trig', s_trig_omp)
@@ -1578,5 +1527,5 @@
     !Config Def  = 0
     !Config Help = 
-    !
+
     h_trig_omp = 6000.
     CALL getin('h_trig', h_trig_omp)
@@ -1586,5 +1535,5 @@
     !Config Def  = 0
     !Config Help = 
-    !
+
     tau_trig_shallow_omp = 600
     CALL getin('tau_trig_shallow', tau_trig_shallow_omp)
@@ -1594,5 +1543,5 @@
     !Config Def  = 0
     !Config Help = 
-    !
+
     tau_trig_deep_omp = 1800
     CALL getin('tau_trig_deep', tau_trig_deep_omp)
@@ -1602,5 +1551,5 @@
     !Config Def  = 0
     !Config Help = 
-    !
+
     iflag_clos_bl_omp = 0
     CALL getin('iflag_clos_bl', iflag_clos_bl_omp)
@@ -1608,45 +1557,41 @@
     ! fin nrlmd le 10/04/2012
 
-    !
     !Config Key  = tau_thermals
     !Config Desc =
     !Config Def  = 0.
     !Config Help =
-    !
+
     tau_thermals_omp = 0.
     CALL getin('tau_thermals', tau_thermals_omp)
 
-    !
     !Config Key  = iflag_coupl
     !Config Desc =
     !Config Def  = 0
     !Config Help =
-    !
+
     iflag_coupl_omp = 0
     CALL getin('iflag_coupl', iflag_coupl_omp)
 
-    !
     !Config Key  = iflag_clos
     !Config Desc =  
     !Config Def  = 0
     !Config Help = 
-    !
+
     iflag_clos_omp = 1
     CALL getin('iflag_clos', iflag_clos_omp)
-    !
+
     !Config Key  = coef_clos_ls
     !Config Desc =  
     !Config Def  = 0
     !Config Help = 
-    !
+
     coef_clos_ls_omp = 0.
     CALL getin('coef_clos_ls', coef_clos_ls_omp)
 
-    !
     !Config Key  = iflag_cvl_sigd
     !Config Desc =  
     !Config Def  = 0
     !Config Help = 
-    !
+
     iflag_cvl_sigd_omp = 0
     CALL getin('iflag_cvl_sigd', iflag_cvl_sigd_omp)
@@ -1656,5 +1601,5 @@
     !Config Def  = 0
     !Config Help = 
-    !
+
     iflag_wake_omp = 0
     CALL getin('iflag_wake', iflag_wake_omp)
@@ -1664,69 +1609,66 @@
     !Config Def  = 0
     !Config Help = 
-    !
+
     alp_offset_omp = 0.
     CALL getin('alp_offset', alp_offset_omp)
 
-    !
     !Config Key  = lev_histhf
     !Config Desc =
     !Config Def  = 1
     !Config Help =
-    !
+
     lev_histhf_omp = 1
     CALL getin('lev_histhf', lev_histhf_omp)
 
-    !
     !Config Key  = lev_histday
     !Config Desc =
     !Config Def  = 1
     !Config Help =
-    !
+
     lev_histday_omp = 1
     CALL getin('lev_histday', lev_histday_omp)
 
-    !
     !Config Key  = lev_histmth
     !Config Desc =
     !Config Def  = 2
     !Config Help =
-    !
+
     lev_histmth_omp = 2
     CALL getin('lev_histmth', lev_histmth_omp)
-    !
+
     !Config Key  = lev_histins
     !Config Desc =
     !Config Def  = 1
     !Config Help =
-    !
+
     lev_histins_omp = 1
     CALL getin('lev_histins', lev_histins_omp)
-    !
+
     !Config Key  = lev_histLES
     !Config Desc =
     !Config Def  = 1
     !Config Help =
-    !
+
     lev_histLES_omp = 1
     CALL getin('lev_histLES', lev_histLES_omp)
-    ! 
+
     !Config Key  = lev_histdayNMC
     !Config Desc =
     !Config Def  = 8
     !Config Help =
-    !
+
     lev_histdayNMC_omp = 8
     CALL getin('lev_histdayNMC', lev_histdayNMC_omp)
-    !
+
     !Config Key  = levout_histNMC
     !Config Desc =
     !Config Def  = 5
     !Config Help =
-    !
+
     levout_histNMC_omp(1) = 5
     levout_histNMC_omp(2) = 5
     levout_histNMC_omp(3) = 5
     CALL getin('levout_histNMC', levout_histNMC_omp)
-    !
+
     !histNMC BEG
     !Config Key  = ok_histNMC
@@ -1736,10 +1678,10 @@
     !Config Def  = n, n, n
     !Config Help =
-    !
+
     ok_histNMC_omp(1) = .FALSE.
     ok_histNMC_omp(2) = .FALSE.
     ok_histNMC_omp(3) = .FALSE.
     CALL getin('ok_histNMC', ok_histNMC_omp)
-    !
+
     !Config Key  = freq_outNMC
     !Config Desc = freq_outNMC(1) = frequence de sortie fichiers histmthNMC
@@ -1748,10 +1690,10 @@
     !Config Def  = 2592000., 86400., 21600. (1mois, 1jour, 6h) 
     !Config Help =
-    !
+
     freq_outNMC_omp(1) = mth_len
     freq_outNMC_omp(2) = 1.
     freq_outNMC_omp(3) = 1. / 4.
     CALL getin('freq_outNMC', freq_outNMC_omp)
-    !
+
     !Config Key  = freq_calNMC
     !Config Desc = freq_calNMC(1) = frequence de calcul fichiers histmthNMC
